package com.sxyz.rfid.presenter;

import android.app.Activity;

import androidx.fragment.app.Fragment;

import com.sxyz.rfid.presenter.model.OperatorBean;

/**
 * @Description: 出库
 * @Project: rfid-app
 * @Author: chunyuan.wu
 */
public interface IOutBoundPresenter {
    //查询出库单列表
    void doOutBoundList(Fragment activity, int pageSize, int pageNum, String orderNo);

    //查询出库明细
    void doOutBoundDetailList(Activity activity, int orderId);

    //查询出库流水
    void doOutBoundFlowingWaterList(Activity activity, int itemId);

    //出库流水-撤销操作
    void doOutBoundCancel(Activity activity, int itemId);

    //出库明细-撤销操作
    void doOutBoundDetailCancel(Activity activity, int itemId);

    //查询出库单关联的RFID列表
    void doGetOutBoundFridList(Activity activity, String rfidTag);

    //出库RFID-确认出库

    /**
     * num
     * operatorId 1
     * orderId 2
     * rfidTag "BQ002"
     *
     * @param activity
     * @param dataBean
     */
    void doOutBoundFrid(Activity activity, OperatorBean dataBean);

}
